%define major_version	3
%define minor_version	3
%define revision	 15

Summary:	Utilities for monitoring your system and processes on your system
Name:		procps
Version:	%{major_version}.%{minor_version}.%{revision}
Release:	%mkrel 2
License:	GPL
Group:		Monitoring
BuildRequires:	ncurses-devel
BuildRequires:	gettext-devel
URL:		http://sourceforge.net/projects/procps-ng/
Source:		http://sourceforge.net/projects/procps-ng/files/Production/%{name}-ng-%{version}.tar.xz
BuildRoot:	%_tmppath/%name-root
Provides:	libproc.so.%{major_version}.%{minor_version} procps3
Obsoletes:	procps3
Requires(post): /bin/rm

%description
The procps package contains a set of system utilities which provide system
information.

Procps includes ps, free, skill, snice, tload, top, uptime, vmstat, w
and watch.

  * The ps command displays a snapshot of running processes.
  * The top command provides a repetitive update of the statuses of running
    processes.
  * The free command displays the amounts of free and used memory on your
    system.
  * The skill command sends a terminate command (or another specified signal)
    to a specified set of processes.
  * The snice command is used to change the scheduling priority of specified
    processes.
  * The tload command prints a graph of the current system load average to a
    specified tty.
  * The uptime command displays the current time, how long the system has been
    running, how many users are logged on and system load averages for the past
    one, five and fifteen minutes. 
  * The w command displays a list of the users who are currently logged on and
    what they're running.
  * The watch program watches a running program.
  * The vmstat command displays virtual memory statistics about processes,
    memory, paging, block I/O, traps and CPU activity.


%package devel
Group:		Development/C
Summary:	An X based system message monitoring utility
Requires:	%name = %version

%description devel
Development headers and library for the proc library.

%prep
%setup -q -n %{name}-ng-%{version}

%build
autoreconf -fiv

%configure2_5x \
		--disable-static \
		--disable-kill \
		--enable-watch8bit \
		--enable-skill \
		--enable-sigwinch \
		--disable-libselinux \
		--disable-modern-top

%make

%install
rm -rf %{buildroot}

%makeinstall_std ldconfig=/bin/true install="install -D" lib="%{buildroot}/%{_lib}/"

find %{buildroot} -name "*.la" -print -delete

%find_lang %{name} --all-name

# quiet spec-helper:
chmod +w %{buildroot}/usr/{sbin,%_lib}/*

ln -s %{_bindir}/pidof %{buildroot}%{_sbindir}/pidof

mkdir -p %buildroot/bin

ln -s %_bindir/free %buildroot/bin/
ln -s %_bindir/pgrep %buildroot/bin/
ln -s %_bindir/pmap %buildroot/bin/ 
ln -s %_bindir/pwdx %buildroot/bin/ 
ln -s %_bindir/pkill %buildroot/bin/
ln -s %_bindir/skill %buildroot/bin/
ln -s %_bindir/slabtop %buildroot/bin/
ln -s %_bindir/snice %buildroot/bin/
ln -s %_bindir/tload %buildroot/bin/ 
ln -s %_bindir/top %buildroot/bin/
ln -s %_bindir/uptime %buildroot/bin/
ln -s %_bindir/vmstat %buildroot/bin/
ln -s %_bindir/w %buildroot/bin/ 
ln -s %_bindir/watch %buildroot/bin/
ln -s %_bindir/ps %buildroot/bin/

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
# remove obsolete files
rm -f /etc/psdevtab /etc/psdatabase

%postun
/sbin/ldconfig

%files

%defattr(-,root,root)
%doc NEWS
%_datadir/doc/%{name}-ng/*
%_bindir/free
%_bindir/pgrep
%_bindir/pmap
%_bindir/pwdx
%_bindir/pkill
%_bindir/skill
%_bindir/slabtop
%_bindir/snice
%_bindir/tload
%_bindir/top
%_bindir/uptime
%_bindir/vmstat
%_bindir/w
%_bindir/watch
%_bindir/pidof
%_bindir/ps
%_sbindir/sysctl
%_sbindir/pidof

/bin/*

%_libdir/libprocps.so.*

%_mandir/man1/free.1*
%_mandir/man1/pgrep.1*
%_mandir/man1/pkill.1*
%_mandir/man1/pmap.1*
%_mandir/man1/ps.1*
%_mandir/man1/pwdx.1*
%_mandir/man1/skill.1*
%_mandir/man1/slabtop.1*
%_mandir/man1/snice.1*
%_mandir/man1/tload.1*
%_mandir/man1/top.1*
%_mandir/man1/uptime.1*
%_mandir/man1/w.1*
%_mandir/man1/watch.1*
%_mandir/man1/pidof.1*
%_mandir/man1/procps.1*
%_mandir/man3/openproc.3*
%_mandir/man3/readproc.3*
%_mandir/man3/readproctab.3*

%_mandir/man5/sysctl.conf.5*

%_mandir/man8/sysctl.8*
%_mandir/man8/vmstat.8*

%_datadir/locale/*

%files devel
%defattr(-,root,root)
%{_includedir}/proc
%{_libdir}/libprocps.so
%{_libdir}/pkgconfig/libprocps.pc




%changelog
* Sat May 11 2019 tex - 3.3.15-2pclos2019
- symlink progs in /usr/bin to /bin

* Sat Mar 23 2019 pckg <pckg at email.cz> 3.3.15-1pclos2019
- update
- added build deps gettext-devel

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 3.2.8-1pclos2010
- update

